Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class Visitor

    java.lang.Object
      javafe.ast.Visitor

Direct Known Subclasses:
  DefaultVisitor, Visitor

public abstract class Visitor
extends java.lang.Object

Constructor Summary
`Visitor()`

Method Summary
`void` | `visitAmbiguousMethodInvocation(AmbiguousMethodInvocation x)`
`void` | `visitAmbiguousVariableAccess(AmbiguousVariableAccess x)`
`void` | `visitArrayInit(ArrayInit x)`
`void` | `visitArrayRefExpr(ArrayRefExpr x)`
`void` | `visitArrayType(ArrayType x)`
`void` | `visitAssertStmt(AssertStmt x)`
`abstract void` | `visitASTNode(ASTNode x)`
`void` | `visitBinaryExpr(BinaryExpr x)`
`void` | `visitBlockStmt(BlockStmt x)`
`void` | `visitBranchStmt(BranchStmt x)`
`void` | `visitBreakStmt(BreakStmt x)`
`void` | `visitCastExpr(CastExpr x)`
`void` | `visitCatchClause(CatchClause x)`
`void` | `visitClassDecl(ClassDecl x)`
`void` | `visitClassDeclStmt(ClassDeclStmt x)`
`void` | `visitClassLiteral(ClassLiteral x)`
`void` | `visitCompilationUnit(CompilationUnit x)`
`void` | `visitCompoundName(CompoundName x)`
`void` | `visitCondExpr(CondExpr x)`
`void` | `visitConstructorDecl(ConstructorDecl x)`
`void` | `visitConstructorInvocation(ConstructorInvocation x)`
`void` | `visitContinueStmt(ContinueStmt x)`
`void` | `visitDoStmt(DoStmt x)`
`void` | `visitErrorType(ErrorType x)`
`void` | `visitEvalStmt(EvalStmt x)`
`void` | `visitExpr(Expr x)`
`void` | `visitExprObjectDesignator(ExprObjectDesignator x)`
`void` | `visitFieldAccess(FieldAccess x)`
`void` | `visitFieldDecl(FieldDecl x)`
`void` | `visitFormalParaDecl(FormalParaDecl x)`
`void` | `visitForStmt(ForStmt x)`
`void` | `visitGenericBlockStmt(GenericBlockStmt x)`
`void` | `visitGenericVarDecl(GenericVarDecl x)`
`void` | `visitIfStmt(IfStmt x)`
`void` | `visitImportDecl(ImportDecl x)`
`void` | `visitInitBlock(InitBlock x)`
`void` | `visitInstanceOfExpr(InstanceOfExpr x)`
`void` | `visitInterfaceDecl(InterfaceDecl x)`
`void` | `visitLabelStmt(LabelStmt x)`
`void` | `visitLexicalPragma(LexicalPragma x)`
`void` | `visitLiteralExpr(LiteralExpr x)`
`void` | `visitLocalVarDecl(LocalVarDecl x)`
`void` | `visitMethodDecl(MethodDecl x)`
`void` | `visitMethodInvocation(MethodInvocation x)`
`void` | `visitModifierPragma(ModifierPragma x)`
`void` | `visitName(Name x)`
`void` | `visitNewArrayExpr(NewArrayExpr x)`
`void` | `visitNewInstanceExpr(NewInstanceExpr x)`
`void` | `visitObjectDesignator(ObjectDesignator x)`
`void` | `visitOnDemandImportDecl(OnDemandImportDecl x)`
`void` | `visitParenExpr(ParenExpr x)`
`void` | `visitPrimitiveType(PrimitiveType x)`
`void` | `visitReturnStmt(ReturnStmt x)`
`void` | `visitRoutineDecl(RoutineDecl x)`
`void` | `visitSimpleName(SimpleName x)`
`void` | `visitSingleTypeImportDecl(SingleTypeImportDecl x)`
`void` | `visitSkipStmt(SkipStmt x)`
`void` | `visitStmt(Stmt x)`
`void` | `visitStmtPragma(StmtPragma x)`
`void` | `visitSuperObjectDesignator(SuperObjectDesignator x)`
`void` | `visitSwitchLabel(SwitchLabel x)`
`void` | `visitSwitchStmt(SwitchStmt x)`
`void` | `visitSynchronizeStmt(SynchronizeStmt x)`
`void` | `visitThisExpr(ThisExpr x)`
`void` | `visitThrowStmt(ThrowStmt x)`
`void` | `visitTryCatchStmt(TryCatchStmt x)`
`void` | `visitTryFinallyStmt(TryFinallyStmt x)`
`void` | `visitType(Type x)`
`void` | `visitTypeDecl(TypeDecl x)`
`void` | `visitTypeDeclElemPragma(TypeDeclElemPragma x)`
`void` | `visitTypeModifierPragma(TypeModifierPragma x)`
`void` | `visitTypeName(TypeName x)`
`void` | `visitTypeObjectDesignator(TypeObjectDesignator x)`
`void` | `visitUnaryExpr(UnaryExpr x)`
`void` | `visitVarDeclStmt(VarDeclStmt x)`
`void` | `visitVariableAccess(VariableAccess x)`
`void` | `visitVarInit(VarInit x)`
`void` | `visitWhileStmt(WhileStmt x)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Visitor

    public Visitor()

Method Detail

### visitASTNode

    public abstract void visitASTNode(ASTNode x)

### visitCompilationUnit

    public void visitCompilationUnit(CompilationUnit x)

### visitImportDecl

    public void visitImportDecl(ImportDecl x)

### visitSingleTypeImportDecl

    public void visitSingleTypeImportDecl(SingleTypeImportDecl x)

### visitOnDemandImportDecl

    public void visitOnDemandImportDecl(OnDemandImportDecl x)

### visitTypeDecl

    public void visitTypeDecl(TypeDecl x)

### visitClassDecl

    public void visitClassDecl(ClassDecl x)

### visitInterfaceDecl

    public void visitInterfaceDecl(InterfaceDecl x)

### visitRoutineDecl

    public void visitRoutineDecl(RoutineDecl x)

### visitConstructorDecl

    public void visitConstructorDecl(ConstructorDecl x)

### visitMethodDecl

    public void visitMethodDecl(MethodDecl x)

### visitInitBlock

    public void visitInitBlock(InitBlock x)

### visitTypeDeclElemPragma

    public void visitTypeDeclElemPragma(TypeDeclElemPragma x)

### visitGenericVarDecl

    public void visitGenericVarDecl(GenericVarDecl x)

### visitLocalVarDecl

    public void visitLocalVarDecl(LocalVarDecl x)

### visitFieldDecl

    public void visitFieldDecl(FieldDecl x)

### visitFormalParaDecl

    public void visitFormalParaDecl(FormalParaDecl x)

### visitStmt

    public void visitStmt(Stmt x)

### visitGenericBlockStmt

    public void visitGenericBlockStmt(GenericBlockStmt x)

### visitBlockStmt

    public void visitBlockStmt(BlockStmt x)

### visitSwitchStmt

    public void visitSwitchStmt(SwitchStmt x)

### visitAssertStmt

    public void visitAssertStmt(AssertStmt x)

### visitVarDeclStmt

    public void visitVarDeclStmt(VarDeclStmt x)

### visitClassDeclStmt

    public void visitClassDeclStmt(ClassDeclStmt x)

### visitWhileStmt

    public void visitWhileStmt(WhileStmt x)

### visitDoStmt

    public void visitDoStmt(DoStmt x)

### visitSynchronizeStmt

    public void visitSynchronizeStmt(SynchronizeStmt x)

### visitEvalStmt

    public void visitEvalStmt(EvalStmt x)

### visitReturnStmt

    public void visitReturnStmt(ReturnStmt x)

### visitThrowStmt

    public void visitThrowStmt(ThrowStmt x)

### visitBranchStmt

    public void visitBranchStmt(BranchStmt x)

### visitBreakStmt

    public void visitBreakStmt(BreakStmt x)

### visitContinueStmt

    public void visitContinueStmt(ContinueStmt x)

### visitLabelStmt

    public void visitLabelStmt(LabelStmt x)

### visitIfStmt

    public void visitIfStmt(IfStmt x)

### visitForStmt

    public void visitForStmt(ForStmt x)

### visitSkipStmt

    public void visitSkipStmt(SkipStmt x)

### visitSwitchLabel

    public void visitSwitchLabel(SwitchLabel x)

### visitTryFinallyStmt

    public void visitTryFinallyStmt(TryFinallyStmt x)

### visitTryCatchStmt

    public void visitTryCatchStmt(TryCatchStmt x)

### visitStmtPragma

    public void visitStmtPragma(StmtPragma x)

### visitConstructorInvocation

    public void visitConstructorInvocation(ConstructorInvocation x)

### visitCatchClause

    public void visitCatchClause(CatchClause x)

### visitVarInit

    public void visitVarInit(VarInit x)

### visitArrayInit

    public void visitArrayInit(ArrayInit x)

### visitExpr

    public void visitExpr(Expr x)

### visitThisExpr

    public void visitThisExpr(ThisExpr x)

### visitLiteralExpr

    public void visitLiteralExpr(LiteralExpr x)

### visitArrayRefExpr

    public void visitArrayRefExpr(ArrayRefExpr x)

### visitNewInstanceExpr

    public void visitNewInstanceExpr(NewInstanceExpr x)

### visitNewArrayExpr

    public void visitNewArrayExpr(NewArrayExpr x)

### visitCondExpr

    public void visitCondExpr(CondExpr x)

### visitInstanceOfExpr

    public void visitInstanceOfExpr(InstanceOfExpr x)

### visitCastExpr

    public void visitCastExpr(CastExpr x)

### visitBinaryExpr

    public void visitBinaryExpr(BinaryExpr x)

### visitUnaryExpr

    public void visitUnaryExpr(UnaryExpr x)

### visitParenExpr

    public void visitParenExpr(ParenExpr x)

### visitAmbiguousVariableAccess

    public void visitAmbiguousVariableAccess(AmbiguousVariableAccess x)

### visitVariableAccess

    public void visitVariableAccess(VariableAccess x)

### visitFieldAccess

    public void visitFieldAccess(FieldAccess x)

### visitAmbiguousMethodInvocation

    public void visitAmbiguousMethodInvocation(AmbiguousMethodInvocation x)

### visitMethodInvocation

    public void visitMethodInvocation(MethodInvocation x)

### visitClassLiteral

    public void visitClassLiteral(ClassLiteral x)

### visitObjectDesignator

    public void visitObjectDesignator(ObjectDesignator x)

### visitExprObjectDesignator

    public void visitExprObjectDesignator(ExprObjectDesignator x)

### visitTypeObjectDesignator

    public void visitTypeObjectDesignator(TypeObjectDesignator x)

### visitSuperObjectDesignator

    public void visitSuperObjectDesignator(SuperObjectDesignator x)

### visitType

    public void visitType(Type x)

### visitErrorType

    public void visitErrorType(ErrorType x)

### visitPrimitiveType

    public void visitPrimitiveType(PrimitiveType x)

### visitTypeName

    public void visitTypeName(TypeName x)

### visitArrayType

    public void visitArrayType(ArrayType x)

### visitName

    public void visitName(Name x)

### visitSimpleName

    public void visitSimpleName(SimpleName x)

### visitCompoundName

    public void visitCompoundName(CompoundName x)

### visitModifierPragma

    public void visitModifierPragma(ModifierPragma x)

### visitLexicalPragma

    public void visitLexicalPragma(LexicalPragma x)

### visitTypeModifierPragma

    public void visitTypeModifierPragma(TypeModifierPragma x)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage